GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets2609170000(通用)查看预算情况
# 01
简介
(通用)查看预算情况
# 02
详细内容
API支持的买家用户地区:韩国
该API用于查看目前设置的所有合同的优惠券预算情况。用于优惠券的预算是根据合同条件按月设置的,因此可按照合同及月份查看。
路径
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/budgets?contractId=-1&targetMonth=2021-08# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | object | 卖家ID 酷澎分配给卖家的固有代码 e.g.) A00012345 |
# 04
Query 参数
| Name | Type | Description |
|---|---|---|
| contractId | number | 卖家合同Id (自由合同,输入 -1)
|
| targetMonth | string | 想要查看预算的月份 yyyy-MM 若不输入targetmonth,查看的就是当月预算 |
# 05
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | integer | 服务器响应代码
|
| message | string | 服务器响应信息
|
| httpStatus | integer | HTTP
|
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
|
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息
|
| data | object | 预算情况列表数据
|
| success data.success | boolean | 成功与否 true or false |
| content data.content | object[] | 预算情况列表
|
| contractId data.content[].contractId | integer | 卖家合同Id e.g.) 1, 2
|
| targetMonth data.content[].targetMonth | string | 想要查看预算的月份
|
| vendorShareRatio data.content[].vendorShareRatio | integer | 分摊比例(%) : 合同中规定的与酷澎的分摊比例 e.g.) 100 |
| totalBudgetAmount data.content[].totalBudgetAmount | integer | 当月设置的预算 e.g.) 1000000 |
| usedBudgetAmount data.content[].usedBudgetAmount | integer | 当月使用了的预算 e.g.) 50.00 |
| pagination data.pagination | string |
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"contractId": 2,
"targetMonth": "2017-08",
"vendorShareRatio": 100,
"totalBudgetAmount": 1000000,
"usedBudgetAmount": 50
}
],
"pagination": null
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 401 | 401 (Check the requested parameter) | 请确认卖家权限。 | 查看卖家ID(vendorid)值是否输入正确 |
| 400 | 400 (Check the requested parameter) | 无效格式: "2020"太短了 | 确认想要查看预算的月份(targetMonth)值是否输入正确。 |